summaryrefslogtreecommitdiff
path: root/help/C/l10n_scripts/progress.sh
diff options
context:
space:
mode:
Diffstat (limited to 'help/C/l10n_scripts/progress.sh')
-rwxr-xr-xhelp/C/l10n_scripts/progress.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/help/C/l10n_scripts/progress.sh b/help/C/l10n_scripts/progress.sh
new file mode 100755
index 0000000..225c90a
--- /dev/null
+++ b/help/C/l10n_scripts/progress.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+(
+echo "10" ; sleep 1
+echo "# Updating mail logs" ; sleep 1
+echo "20" ; sleep 1
+echo "# Resetting cron jobs" ; sleep 1
+echo "50" ; sleep 1
+echo "This line will just be ignored" ; sleep 1
+echo "75" ; sleep 1
+echo "# Rebooting system" ; sleep 1
+echo "100" ; sleep 1
+) |
+zenity --progress --title="Update System Logs" --text="Scanning mail logs..." --percentage=0
+
+if [ "$?" = -1 ] ; then
+ zenity --error --text="Update cancelled."
+fi
+